Page MenuHomePhabricator

Please add Mpany and Jksamra to WMF-NDA
Closed, ResolvedPublic

Description

@Mpany and @Jksamra are contractor analysts for fundraising. They need access to tasks visible to WMF-NDA. They are working on a project with legal and analytics for properly storing data.

We would like to give them access as soon as possible. I believe any phabricator admin can address this.

Event Timeline

DStrine created this task.Mar 30 2017, 6:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2017, 6:32 PM

I believe any phabricator admin can address this.

Technically not only Phab admins (T161667#3143865 explains), practically a proper account verification needs to take place.

As this is not about WMF staff, please follow the process outlined here: https://wikitech.wikimedia.org/wiki/Volunteer_NDA
In this case, what is still needed, in short:

  • @Mpany and @Jksamra to sign the Non-Disclosure Agreement online.
  • @Aklapper to check their signatures
  • Someone to get sign off by a C-level staff of the Wikimedia Foundation.

@Aklapper they are contractors, not volunteers. They have already signed NDA in a contractor capacity. @jrobell can you confirm?

Thank you @klapper and @DStrine Yes, they already signed NDAs when they got access to the LDAP group.

Please see T161828#3145861 how to proceed: With signing L2.

elukey added a subscriber: elukey.EditedApr 6 2017, 11:27 AM

Hello @Aklapper, sorry to re-ask again the same question but this is a bit confusing for me as well. In T158053, after a looong discussion with Legal we verified their NDA and added their accounts to the nda LDAP group, so this should be sufficient to avoid the L2 signing no? I agree with you that a proper account verification would be needed, but T158053 and LDAP should be enough no?

@elukey: No need to be sorry, really. :) I'm not entirely happy about the current process either.

Thing is, I have no way to verify NDAs and I don't want to jeopardize access restrictions. I guess that checking membership of an account in the nda LDAP group (I which seems to require access to terbium which I don't have?) should also be sufficient if the Phabricator accounts in questions are linked to their corresponding LDAP accounts. This is currently not the case but can be done by a user by going to your "Personal account settings > Authentication > External Accounts" and adding LDAP there. If Legal is fine with that. :)
(In the long run I'd hope that upstream implements Phab project membership based on external things like LDAP.)
For the time being I'd recommend signing L2 and then getting an okay from a C level (see the page I linked to). Yes this might be redundant, but again I have no access to NDAs. Sorry. :-/

elukey added a subscriber: Jgreen.Apr 6 2017, 1:39 PM

@Mpany, @Jksamra - would you mind to add your LDAP account id in phabricator via Personal account settings > Authentication > External Accounts ? (LDAP account == Wikitech account)

After this I ask to @jrobell and @Jgreen if they can confirm that the account is indeed yours in this task, and we should be ok to add your username to WMF-NDA.

Mpany added a comment.Apr 6 2017, 2:05 PM

@elukey We added our LDAP account IDs in phabricator. Please let us know if there is anything else.

Thanks all for your help moving this forward. @elukey How can I help with the verification?

Really sorry but I completely forgot about this task!

@Jksamra and @Mpany: just to complete the verification chain, would you mind to edit your Wikitech user pages adding your Phabricator user page link? This would be enough to join Wikitech/LDAP with Phabricator from my point of view.

@jrobell: I'll ask to Lisa to review this task and give her approval once the above action will be complete.

Sorry again for the delay!

elukey triaged this task as Normal priority.Apr 12 2017, 7:42 AM

Thank you @elukey . As mentioned on chat, would be great to get this
finalized asap this week. Thanks all for your help!

@elukey: @Mpany and I added links to our Phabricator user pages to our Wikitech user pages. Please let us know if there is anything else we should do.

Ok now I can verify the following link:

Phab users MPany -> Wikitech/LDAP User Mpany -> LDAP nda group and NDA verification done in https://phabricator.wikimedia.org/T158053

Phab users Jksamra -> Wikitech/LDAP User Jksamra -> LDAP nda group and NDA verification done in https://phabricator.wikimedia.org/T158053

Asking to Lisa a final confirmation over email and than we should be done.

WDYT @Aklapper ?

@elukey: Looks feasible (in an ideal world Lisa's confirmation would probably be in this task, but well... :) ).
I won't be a showstopper if you think that the account verification performed is sufficient.

Got Lisa's confirmation over email :)

From my point of view everything looks good!

elukey closed this task as Resolved.Apr 18 2017, 7:25 AM
elukey claimed this task.

@Mpany @Jksamra: you should now be able to see WMF-NDA, let me know if this doesn't work!